Package Details: fgrun 2016.3.1-1

Git Clone URL: https://aur.archlinux.org/fgrun.git (read-only)
Package Base: fgrun
Description: Frontend for FlightGear.
Upstream URL: http://sourceforge.net/projects/flightgear/
Licenses: GPL
Submitter: janserv
Maintainer: quomoow
Last Packager: quomoow
Votes: 70
Popularity: 0.001912
First Submitted: 2005-11-18 21:27
Last Updated: 2016-10-31 16:46

Latest Comments

1 2 3 4 5 6 Next › Last »

Strit commented on 2018-10-22 11:33

I don'tuse FlightGear either, but I got a working PKGBUILD:

#Contributor: Dan Johansen <strit at strits dot dk>
#Contributor: Hans Janssen <janserv at gmail dot com>
# Maintainer: quomoow <quomoow@gmail.com>

pkgname=fgrun
_pkgname=flightgear
pkgver=2018.2.2
pkgrel=1
pkgdesc="Frontend for FlightGear."
arch=('i686' 'x86_64')
license=('GPL')
depends=('freeglut' 'openal' 'openscenegraph')
makedepends=('cmake' 'boost' 'simgear')
url="http://sourceforge.net/projects/flightgear/"
source=('https://sourceforge.net/projects/flightgear/files/release-2018.2/flightgear-2018.2.2.tar.bz2')
sha256sums=('61f809ef0a3f6908d156f0c483ed5313d31b5a6ac74761955d0b266751718147')

build() {
    cd ${srcdir}/${_pkgname}-${pkgver}
    cmake . \
    -DCMAKE_INSTALL_PREFIX=/usr \
    -DCMAKE_BUILD_TYPE=Release
    make
}

package() {
    cd ${srcdir}/${_pkgname}-${pkgver}
    make DESTDIR="${pkgdir}" install
}

PhotonX commented on 2016-11-18 12:47

Does anybody feel like taking over this package? If so, an orphan request could be filed. Unfortunately I cannot offer myself since I don't use flightgear myself (just another user does whom I am helping out sometimes).

J5lx commented on 2016-11-18 12:20

Just tried installing, and it turns out that this package actually contains a subset of what flightgear contains, and absolutely no fgrun... WTH?

J5lx commented on 2016-11-18 12:13

libxmu is apparently missing from the dependencies (at least makedeps).

Dragonlord commented on 2016-11-14 14:12

FGRun seems to be another subproject of flightgear -
https://sourceforge.net/p/flightgear/fgrun/ci/next/tree/
and the fgrun PKGBUILD should be updated to reflect this.

https://lists.archlinux.org/pipermail/aur-requests/2016-November/014462.html

janserv commented on 2016-11-01 18:23

Revert the changes made by quomoow and change the source to the latest release branch of fgrun and try if it builds.

PhotonX commented on 2016-11-01 10:41

Build fails with http://pastebin.com/E8m0RmYd Thanks for looking into it in advance!

janserv commented on 2016-10-31 18:01

Are you trying to build flightgear ,that is already in [community], and not fgrun.
And does it even build?

quomoow commented on 2016-10-31 17:45

Updated to latest release from sourceforge, works well for you?

janserv commented on 2016-02-10 18:51

Disowning this package because it is going to be replaced with a flightgear builtin qt launcher.